ghRobMoments {fBasics} | R Documentation

## Robust Moments for the GH

### Description

Computes the first four robust moments for the generalized hyperbolic distribution..

### Usage

    ghMED(alpha = 1, beta = 0, delta = 1, mu = 0, lambda = -1/2)
    ghIQR(alpha= 1, beta = 0, delta = 1, mu = 0, lambda = -1/2)
    ghSKEW(alpha = 1, beta = 0, delta = 1, mu = 0, lambda = -1/2)
    ghKURT(alpha = 1, beta = 0, delta = 1, mu = 0, lambda = -1/2)

### Arguments

`alpha, beta, delta, mu, lambda` | numeric values. `alpha` is the first shape parameter; `beta` is the second shape parameter in the range `(0, alpha)`; `delta` is the scale parameter, must be zero or positive; `mu` is the location parameter, by default 0; and `lambda` defines the sublclass, by default -1/2. These are the meanings of the parameters in the first parameterization `pm=1` which is the default parameterization. In the second parameterization, `pm=2` `alpha` and `beta` take the meaning of the shape parameters (usually named) `zeta` and `rho`. In the third parameterization, `pm=3` `alpha` and `beta` take the meaning of the shape parameters (usually named) `xi` and `chi`. In the fourth parameterization, `pm=4` `alpha` and `beta` take the meaning of the shape parameters (usually named) `a.bar` and `b.bar`.

### Value

All values for the `*gh` functions are numeric vectors: `d*` returns the density, `p*` returns the distribution function, `q*` returns the quantile function, and `r*` generates random deviates.

All values have attributes named `"param"` listing the values of the distributional parameters.

### Author(s)

Diethelm Wuertz.

### Examples

    ## ghMED -
       # Median:
       ghMED(alpha = 1, beta = 0, delta = 1, mu = 0, lambda = -1/2)

    ## ghIQR -
       # Inter-quartile Range:
       ghIQR(alpha = 1, beta = 0, delta = 1, mu = 0, lambda = -1/2)

    ## ghSKEW -
       # Robust Skewness:
       ghSKEW(alpha = 1, beta = 0, delta = 1, mu = 0, lambda = -1/2)

    ## ghKURT -
       # Robust Kurtosis:
       ghKURT(alpha = 1, beta = 0, delta = 1, mu = 0, lambda = -1/2)

[Package fBasics version 3042.89 Index]